Package org.apache.tomcat.jdbc.pool.interceptor

## Class StatementDecoratorInterceptor.ResultSetProxy

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.ResultSetProxy

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  StatementDecoratorInterceptor

    protected static class StatementDecoratorInterceptor.ResultSetProxy
    extends Object
    implements InvocationHandler

### Constructor Summary

Constructors
`ResultSetProxy​(Object st, Object delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `invoke​(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetProxy

    public ResultSetProxy​(Object st,
                          Object delegate)

### Method Detail

#### invoke

    public Object invoke​(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`